Cannot apt-get upgrade if squid-deb-proxy-avahi is running

Bug #655187 reported by Ben Rousch on 2010-10-05
40
This bug affects 7 people
Affects Status Importance Assigned to Milestone
squid-deb-proxy (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: squid-deb-proxy

I have a new Ubuntu 10.04 server install and installed squid-deb-proxy avahi-utils and squid-deb-proxy-client . There are no other squid-deb-proxy servers on the network. When I try to apt-get update I get errors like:

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/lucid-security/multiverse/source/Sources.gz Something wicked happened resolving 'fe80::20c:29ff:fe4d:1bdd:8000' (-9 - Address family for hostname not supported)

 If I stop the squid-deb-proxy-avahi service, I am able to update normally.

squid-deb-proxy:
  Installed: 0.3.1
  Candidate: 0.3.1
  Version table:
 *** 0.3.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status

avahi-utils:
  Installed: 0.6.25-1ubuntu6.1
  Candidate: 0.6.25-1ubuntu6.1
  Version table:
 *** 0.6.25-1ubuntu6.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/main Packages
        500 http://security.ubuntu.com/ubuntu/ lucid-security/main Packages
        100 /var/lib/dpkg/status
     0.6.25-1ubuntu6 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages

squid-deb-proxy-client:
  Installed: 0.3.1
  Candidate: 0.3.1
  Version table:
 *** 0.3.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

It looks like its trying ipv6 for you first and your DNS is not supporting that - did you setup anything ipv6 releated manually?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package squid-deb-proxy - 0.3.2

---------------
squid-deb-proxy (0.3.2) natty; urgency=low

  [ Colin Dean ]
  * adding other ubuntu/canonical repos and some suggested
    others (but commented) (LP: #673080)
  * Added commented lines which allow non-specified domains to be
    accessed and (optionally) cached

  [ Jorge O. Castro ]
  * Add some popular repositories to cache (commented out)

  [ Michael Vogt ]
  * README:
    - updated to document the new options
  * debian/squid-deb-proxy.squid-deb-proxy-avahi.upstart:
    - fix upstart script so that the avahi service actually gets
      started (LP: #655187)
 -- Michael Vogt <email address hidden> Wed, 10 Nov 2010 10:45:49 +0100

Changed in squid-deb-proxy (Ubuntu Natty):
status: New → Fix Released

I didn't do anything IPv6. I was using a new, stock install of the
server, so it was using whatever the defaults are.

On Wed, Nov 10, 2010 at 4:36 AM, Michael Vogt <email address hidden> wrote:
> Thanks for your bugreport.
>
> It looks like its trying ipv6 for you first and your DNS is not
> supporting that - did you setup anything ipv6 releated manually?
>
> --
> Cannot apt-get upgrade if squid-deb-proxy-avahi is running
> https://bugs.launchpad.net/bugs/655187
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
  Ben Rousch
  <email address hidden>
  http://ishmilok.blogspot.com/

Michael Vogt (mvo) on 2010-11-10
Changed in squid-deb-proxy (Ubuntu Natty):
status: Fix Released → New
Michael Vogt (mvo) wrote :

Thanks for your quick reply Ben,

what is the output of
avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'

on the affected system?

Changed in squid-deb-proxy (Ubuntu Natty):
status: New → Incomplete
Ben Rousch (brousch) wrote :

I'm afraid the system no longer exists. It was a virtual machine to be
used at a 10.10 installfest.

On Wed, Nov 10, 2010 at 9:54 AM, Michael Vogt <email address hidden> wrote:
> Thanks for your quick reply Ben,
>
> what is the output of
> avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
>
> on the affected system?
>
> ** Changed in: squid-deb-proxy (Ubuntu Natty)
>       Status: New => Incomplete
>
> --
> Cannot apt-get upgrade if squid-deb-proxy-avahi is running
> https://bugs.launchpad.net/bugs/655187
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
  Ben Rousch
  <email address hidden>
  http://ishmilok.blogspot.com/

Ben Rousch (brousch) wrote :

I tried to recreate the system, but the recreation does not exhibit this bug.

On Wed, Nov 10, 2010 at 10:04 AM, Ben Rousch <email address hidden> wrote:
> I'm afraid the system no longer exists. It was a virtual machine to be
> used at a 10.10 installfest.
>
> On Wed, Nov 10, 2010 at 9:54 AM, Michael Vogt <email address hidden> wrote:
>> Thanks for your quick reply Ben,
>>
>> what is the output of
>> avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
>>
>> on the affected system?
>>
>> ** Changed in: squid-deb-proxy (Ubuntu Natty)
>>       Status: New => Incomplete
>>
>> --
>> Cannot apt-get upgrade if squid-deb-proxy-avahi is running
>> https://bugs.launchpad.net/bugs/655187
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>
>
> --
>   Ben Rousch
>   <email address hidden>
>   http://ishmilok.blogspot.com/
>

--
  Ben Rousch
  <email address hidden>
  http://ishmilok.blogspot.com/

Johan van Dijk (johanvandijk) wrote :

On my system, this is the output:
=;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;desktop.local;192.168.1.34;8000;

Johan van Dijk (johanvandijk) wrote :

And I forgot to add that the error doesn't happen every time.
When it happens, I can "sudo apt-get update" again, and most of the time the error doesn't occur.

Johan van Dijk (johanvandijk) wrote :

The error happened again.
The output of avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*' is:

johan@munin-test:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;desktop.local;fe80::21b:21ff:fe04:b87a;8000;

When I try it a minute later:
johan@munin-test:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;desktop.local;192.168.1.34;8000;

In the meantime, I did not change anything to any of the involved computers.

Again, a few minutes later:
johan@munin-test:~$ avahi-browse -kprt _apt_proxy._tcp
+;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local
=;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;desktop.local;192.168.1.34;8000;
johan@munin-test:~$ avahi-browse -kprt _apt_proxy._tcp
+;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local
=;eth0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;desktop.local;fe80::21b:21ff:fe04:b87a;8000;

Johan van Dijk (johanvandijk) wrote :

On a different computer I ran this:

johan@skynet:~$ for i in $(seq 1 30); do /usr/share/squid-deb-proxy-client/apt-avahi-discover; done
http://192.168.1.34:8000/
http://192.168.1.34:8000/
http://192.168.1.34:8000/
http://192.168.1.34:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://192.168.1.34:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://fe80::21b:21ff:fe04:b87a:8000/
http://192.168.1.34:8000/
http://192.168.1.34:8000/
http://192.168.1.34:8000/

Jesse Michael (jesse.michael) wrote :

I'm running into this bug also. I haven't done any ipv6 configuration of any kind, but I sometimes run into apt failing because of this error.

Running the avahi-browse command line listed above multiple times in a row with maybe a second or two between each run resulted in the following output--

jesse@wopr:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;wlan0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;box.local;192.168.1.10;8000;
jesse@wopr:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;wlan0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;box.local;fe80::230:1bff:feb9:1d93;8000;
jesse@wopr:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;wlan0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;box.local;fe80::230:1bff:feb9:1d93;8000;
jesse@wopr:~$ avahi-browse -kprt _apt_proxy._tcp |grep '^=;.*;IPv4;.*'
=;wlan0;IPv4;Squid\032deb\032proxy;_apt_proxy._tcp;local;box.local;fe80::230:1bff:feb9:1d93;8000;

After writing up the previous part of this comment, I tried running the command line again, and the first result returned a ipv4 result and all of the following requests returned ipv6 results, as above.

Johan van Dijk (johanvandijk) wrote :

A workaround that has worked every time so far: restart the squid-deb-proxy-avahi process on the server machine.
sudo service squid-deb-proxy-avahi restart

The problem seems to occur when the server is on for a couple of days or a week. The first few days everything works without problems.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in squid-deb-proxy (Ubuntu Maverick):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers